From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/betagarden:master commit in: x11-themes/MediterraneanNight/
Date: Wed, 24 Jul 2013 19:15:14 +0000 (UTC) [thread overview]
Message-ID: <1374693333.272a1ce1af544b23c1aefb97f802c1bb83cb76ae.sping@gentoo> (raw)
commit: 272a1ce1af544b23c1aefb97f802c1bb83cb76ae
Author: Sebastian Pipping <sebastian <AT> pipping <DOT> org>
AuthorDate: Wed Jul 24 19:15:33 2013 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Wed Jul 24 19:15:33 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/betagarden.git;a=commit;h=272a1ce1
x11-themes/MediterraneanNight: 2.03
---
.../MediterraneanNight-2.03.ebuild | 42 ++++++++++++++++++++++
1 file changed, 42 insertions(+)
diff --git a/x11-themes/MediterraneanNight/MediterraneanNight-2.03.ebuild b/x11-themes/MediterraneanNight/MediterraneanNight-2.03.ebuild
new file mode 100644
index 0000000..86cc8fc
--- /dev/null
+++ b/x11-themes/MediterraneanNight/MediterraneanNight-2.03.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+
+DESCRIPTION="MediterraneanNight GTK 2/3 theme series"
+HOMEPAGE="http://gnome-look.org/content/show.php/MediterraneanNight+Series?content=156782"
+SRC_URI="https://dl.dropboxusercontent.com/u/80497678/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk2 gtk3 linguas_es"
+
+DEPEND=""
+RDEPEND="gtk2? ( x11-themes/murrine-themes )
+ gtk3? ( >=x11-libs/gtk+-3.6:3 x11-themes/gtk-engines-unico )"
+
+S=${WORKDIR}
+
+src_prepare() {
+ rm Mediterranean*/xfwm4/{.gitignore,Makefile} || die
+ rm -R Mediterranean*/xfwm4/srcimg || die
+}
+
+src_install() {
+ dodoc ${PN}/{change-log,readme}.txt
+ use linguas_es && dodoc ${PN}/leeme.txt
+
+ local folders=
+ use gtk2 && folders+=" gtk-2.0 metacity-1 xfwm4"
+ use gtk3 && folders+=" gtk-3.0 unity"
+
+ for i in Mediterranean* ; do
+ insinto /usr/share/themes/${i}
+ for j in ${folders} ; do
+ [[ -e ${i}/${j} ]] || continue
+ doins -r ${i}/${j} || die
+ done
+ done
+}
next reply other threads:[~2013-07-24 19:15 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-07-24 19:15 Sebastian Pipping [this message]
-- strict thread matches above, loose matches on Subject: below --
2013-06-08 14:14 [gentoo-commits] proj/betagarden:master commit in: x11-themes/MediterraneanNight/ Sebastian Pipping
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1374693333.272a1ce1af544b23c1aefb97f802c1bb83cb76ae.sping@gentoo \
--to=sping@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox